---
title: '-moz-user-focus'
slug: Web/CSS/-moz-user-focus
tags:
  - '-moz-user-focus'
  - CSS
  - 'CSS:Mozilla Extensions'
  - NeedsContent
  - Non-standard
  - Reference
  - 'recipe:css-property'
---
<div>{{cssref}} {{Non-standard_header}}</div>

<p>The <strong><code>-moz-user-focus</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property is used to indicate whether an element can have the focus.</p>

<pre class="brush:css notranslate">/* Keyword values */
-moz-user-focus: normal;
-moz-user-focus: ignore;

/* Global values */
-moz-user-focus: inherit;
-moz-user-focus: initial;
-moz-user-focus: unset;
</pre>

<p>By setting its value to <code>ignore</code>, you can disable focusing the element, which means that the user will not be able to activate the element. The element will be skipped in the tab sequence.</p>

<p>{{cssinfo}}</p>

<div class="note"><strong>Note:</strong> This property doesn't work for XUL {{XULElem("textbox")}} elements, because the <code>textbox</code> itself never takes focus. Instead, XBL creates an anonymous HTML {{HTMLElement("input")}} element inside the <code>textbox</code>, and that element is what receives focus. You can stop the <code>textbox</code> from taking keyboard focus by setting its tab index to <code>-1</code>, and from taking mouse focus by preventing the default action of <code>mousedown</code> events.</div>

<h2 id="Syntax">Syntax</h2>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>ignore</code></dt>
 <dd>The element does not accept the keyboard focus and will be skipped in the tab order.</dd>
 <dt><code>normal</code></dt>
 <dd>The element can accept the keyboard focus.</dd>
 <dt><code>select-after</code></dt>
 <dd>?</dd>
 <dt><code>select-before</code></dt>
 <dd>?</dd>
 <dt><code>select-menu</code></dt>
 <dd>?</dd>
 <dt><code>select-same</code></dt>
 <dd>?</dd>
 <dt><code>select-all</code></dt>
 <dd>?</dd>
 <dt><code>none</code></dt>
 <dd>?</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{CSSInfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="HTML">HTML</h3>

<pre class="brush:html notranslate">&lt;input class="ignored" value="The user cannot focus on this element."&gt;
</pre>

<h3 id="CSS">CSS</h3>

<pre class="brush:css notranslate">.ignored {
  -moz-user-focus: ignore;
}</pre>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any standard. A similar property, <code>user-focus</code>, was proposed in <a class="external" href="http://www.w3.org/TR/2000/WD-css3-userint-20000216">early drafts of a predecessor of the CSS3 UI specification</a>, but was rejected by the working group.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.-moz-user-focus")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref("-moz-user-input")}}</li>
 <li>{{cssxref("-moz-user-modify")}}</li>
 <li>{{cssxref("-moz-user-select")}}</li>
</ul>
